Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I tried to install PostgreSQL server development libraries using MacPorts and got the following:

Warning: MacPorts running without privileges. You may be unable to complete certain actions (e.g. install).
--->  Computing dependencies for postgresql-server-devel
--->  Dependencies to be installed: postgresql-devel
--->  Building postgresql-devel
Error: Target org.macports.build returned: shell command failed
Error: The following dependencies failed to build: postgresql-devel
Error: Status 1 encountered during processing.
To report a bug, see <http://guide.macports.org/#project.tickets>

So I guess that means I need to running MacPorts with privileges and try again. Unfortunately I've no idea how to give MacPorts privileges.

I'm running OS X 10.6.3

share|improve this question

migrated from stackoverflow.com Jun 13 '10 at 20:28

This question came from our site for professional and enthusiast programmers.

1 Answer 1

up vote 4 down vote accepted

Use sudo.

sudo port <commands>
share|improve this answer
    
Thanks for the answer. Any idea what particular command I should use, or, if you don't know, how I can find out more about to use sudo to grant a particular program privileges? –  cojadate Jun 13 '10 at 17:33
    
@cojadate: Why not use the installer? postgresql.org/download/macosx –  KennyTM Jun 13 '10 at 17:35
    
Do you have the psycopg2 module installed? –  mipadi Jun 14 '10 at 14:13
    
It's all sorted now, so yes I do finally have psycopg2 installed –  cojadate Jun 16 '10 at 16:21

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.